Package org.kie.api.runtime.process

## Interface WorkflowProcessInstance

- All Superinterfaces:
    `EventListener`, `NodeInstanceContainer`, `ProcessInstance`

      public interface WorkflowProcessInstance
      extends ProcessInstance, NodeInstanceContainer

  A workflow process instance represents one specific instance of a workflow process that is currently executing. It is an extension of a `ProcessInstance` and contains all runtime state related to the execution of workflow processes.
  See Also:
    `ProcessInstance`

- - ### Field Summary

    - ### Fields inherited from interface org.kie.api.runtime.process.ProcessInstance

      `SLA_ABORTED, SLA_MET, SLA_NA, SLA_PENDING, SLA_VIOLATED, STATE_ABORTED, STATE_ACTIVE, STATE_COMPLETED, STATE_PENDING, STATE_SUSPENDED`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getVariable​(java.lang.String name)` | Returns the value of the variable with the given name.
    `void` | `setVariable​(java.lang.String name, java.lang.Object value)` |

    - ### Methods inherited from interface org.kie.api.runtime.process.EventListener

      `getEventTypes, signalEvent`

    - ### Methods inherited from interface org.kie.api.runtime.process.NodeInstanceContainer

      `getNodeInstance, getNodeInstances`

    - ### Methods inherited from interface org.kie.api.runtime.process.ProcessInstance

      `getId, getParentProcessInstanceId, getProcess, getProcessId, getProcessName, getState`

- - ### Method Detail

    - #### getVariable

          java.lang.Object getVariable​(java.lang.String name)

      Returns the value of the variable with the given name. Note that only variables in the process-level scope will be searched. Returns `null` if the value of the variable is null or if the variable cannot be found.
      Parameters:
        `name` - the name of the variable
      Returns:
        the value of the variable, or `null` if it cannot be found

    - #### setVariable

          void setVariable​(java.lang.String name,
                           java.lang.Object value)